%define name uae
%define version 0.8.17
%define release 1mdk
%define cdvers 1.8.1

Summary: A software emulation of the Amiga 500/1000/2000
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.freiburg.linux.de/~uae/
Source: ftp://ftp.freiburg.linux.de/pub/uae/sources/develop/%{name}-%{version}.tar.bz2
Source1: cdrecord-%{cdvers}.tar.bz2
Patch0: uae-opt.patch.bz2
Patch1: uae-0.8.10-cmdline.patch.bz2
Patch2: uae-scsi.patch.bz2
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: XFree86-devel gtk+-devel glib-devel

%description
UAE is a software emulation of the Amiga 500/1000/2000 system
hardware, which enables you to run most available Amiga software.  Since
it is a software emulation, no extra or special hardware is needed.
The Amiga hardware is emulated accurately, so that Amiga software 
is tricked into thinking it is running on the real thing.  Your computer's
display, keyboard, hard disk and mouse assume the roles of their emulated
counterparts.

Note that to fully emulate the Amiga you need the Amiga KickStart
ROM images, which are copyrighted and, of course, not included here.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -a 1
%patch0 -p1 -b .opt
%patch1 -p1 -b .cmdline
%patch2 -p1 -b .scsi

%build
cd cdrecord-%{cdvers}
CFLAGS="$RPM_OPT_FLAGS" CONFFLAGS="%{_target_platform} --prefix=%{_prefix}" \
	XK_ARCH=%{_target_cpu} ./Gmake
cd ../src
./install_libscg ../cdrecord-%{cdvers}
cd ..
autoconf
./configure --prefix=%{_prefix} \
            --with-x \
            --enable-dga \
            --enable-vidmode \
            --enable-ui \
            --enable-threads \
            --enable-sound \
            --enable-scsi-device
%ifarch i386 i486 i586 i686 k6 k7
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strength-reduce"
%else
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib/uae/amiga/source,X11R6/bin}
install -m 755 -s readdisk $RPM_BUILD_ROOT/%{_bindir}
install -m 755 -s uae $RPM_BUILD_ROOT/%{_prefix}/X11R6/bin
cp -pR amiga/* $RPM_BUILD_ROOT/%{_libdir}/uae/amiga/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_libdir}/uae
%{_prefix}/X11R6/bin/*

%changelog
* Sat Aug 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.17-1mdk
- release 0.8.17.
- s/Copyright/License/.

* Fri Jan 12 2001  Daouda Lo <daouda@mandrakesoft.com> 0.8.15-1mdk
- release (Luis request).

* Tue Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.13-3mdk
- bm.
- macros.

* Fri Aug 11 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.13-2mdk
- added SCSI support.

* Thu Aug 10 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.13-1mdk
- updated to new version.

* Thu Apr 20 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-2mdk
- fixed group.

* Thu Mar 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-1mdk
- updated to version 0.8.12.

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.11.

* Sat Oct 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.10.
- added patch to show config help.
- added BuildPreReq.

* Sat Jul 24 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.8.9-2mdk]
- mandrake adaptions

* Sun Jul 04 1999 Arne Coucheron <arneco@online.no>
  [0.8.9-1]

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-2]
- changed the Summary tag
- changed the Group tag
- changed the %description
- installing the utilities
- readdisk moved to /usr/bin

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-1]
- corrected the Source tag

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.8.7-1]

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [0.8.6-1]

* Sat Jul 11 1998 Arne Coucheron <arneco@online.no>
  [0.8.5-1]

* Wed Jun 03 1998 Arne Coucheron <arneco@online.no>
  [0.8.4-1]
